Bug 277 - cli->server_domain not set doing ntlmssp session setup?
cli->server_domain not set doing ntlmssp session setup?
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0preX
Other other
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-05 23:41 UTC by Volker Lendecke
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2003-08-05 23:41:19 UTC
This is just that I don't forget it....

When doing smbclient -L against a Samba LMB as an authenticated users I do *not*
get the server list for the workgroup. -U% works fine.

In the NetServerEnum smbclient does not send the domain to list, which comes
from cli->server_domain. I suspect that when doing ntlmssp session setup this is
not set although this has to be checked.
Comment 1 Volker Lendecke 2003-08-10 14:47:14 UTC
Fixed.

http://lists.samba.org/pipermail/samba-cvs/2003-August/086014.html
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:41:24 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:25 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.